ID CVE-2008-0988
Summary Off-by-one error in the Libsystem strnstr API in libc on Apple Mac OS X 10.4.11 allows context-dependent attackers to cause a denial of service (crash) via crafted arguments that trigger a buffer over-read.
References
Vulnerable Configurations
  • cpe:2.3:o:apple:mac_os_x:10.4.11:*:*:*:*:*:*:*
    cpe:2.3:o:apple:mac_os_x:10.4.11:*:*:*:*:*:*:*
  • cpe:2.3:o:apple:mac_os_x_server:10.4.11:*:*:*:*:*:*:*
    cpe:2.3:o:apple:mac_os_x_server:10.4.11:*:*:*:*:*:*:*
CVSS
Base: 4.3 (as of 08-03-2011 - 03:05)
Impact:
Exploitability:
CWE CWE-189
CAPEC
Access
VectorComplexityAuthentication
NETWORK MEDIUM NONE
Impact
ConfidentialityIntegrityAvailability
NONE NONE PARTIAL
cvss-vector via4 AV:N/AC:M/Au:N/C:N/I:N/A:P
refmap via4
apple APPLE-SA-2008-03-18
bid
  • 28304
  • 28374
cert TA08-079A
confirm http://docs.info.apple.com/article.html?artnum=307562
sectrack 1019661
secunia 29420
vupen ADV-2008-0924
Last major update 08-03-2011 - 03:05
Published 18-03-2008 - 23:44
Back to Top